Get Clarity Portfolio Intelligence
curl --request GET \
--url https://api.duvo.ai/v2/teams/{teamId}/clarity/portfolio-intelligence \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/teams/{teamId}/clarity/portfolio-intelligence"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/teams/{teamId}/clarity/portfolio-intelligence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generationError": "<string>",
"analysis": {
"executiveSummary": "<string>",
"valueStreams": [
{
"name": "<string>",
"description": "<string>",
"currentPainPoints": [
"<string>"
],
"targetOutcome": "<string>",
"kpis": [
"<string>"
],
"gap": null,
"benefits": null
}
],
"organizationAndGovernance": [
{
"element": "<string>",
"description": "<string>"
}
],
"peopleAndSkills": [
{
"area": "<string>",
"fromState": "<string>",
"toState": "<string>",
"action": "<string>"
}
],
"technologyDataAndAI": [
{
"layer": "<string>",
"description": "<string>"
}
],
"humanAiExecutionModel": [
{
"valueStream": "<string>",
"agentResponsibilities": [
"<string>"
],
"humanResponsibilities": [
"<string>"
],
"oversightAndEscalation": "<string>"
}
],
"transformationRoadmap": [
{
"wave": 2,
"name": "<string>",
"horizon": "<string>",
"objectives": [
"<string>"
],
"milestones": [
"<string>"
],
"dependencies": [
"<string>"
]
}
],
"transformationPriorities": null,
"erpTransformationInsights": null,
"objectionsAndChangeManagement": null,
"businessCase": "<string>",
"transformationGoal": null,
"generatedAt": "<string>",
"designPrinciples": [
{
"title": "Operating model updated",
"description": "Review the Executive View and Target Model for the current operating model."
}
]
},
"generatedAt": "<string>",
"processCount": 123,
"completedProcessCount": 123,
"generationProgress": {
"steps": [
{
"key": "<string>",
"label": "<string>",
"order": 123,
"count": 123
}
]
},
"processLinks": []
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Clarity
Get Clarity Portfolio Intelligence
Get portfolio intelligence for the current team
GET
/
v2
/
teams
/
{teamId}
/
clarity
/
portfolio-intelligence
Get Clarity Portfolio Intelligence
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Response
Default Response
Available options:
idle, generating, complete, generation_failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I